# Information Schema INNODB\_SYS\_TABLESPACES Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `INNODB_SYS_TABLESPACES` table contains information about InnoDB tablespaces. Until [MariaDB 10.5](/docs/release-notes/community-server/old-releases/10.5/what-is-mariadb-105.md) it was based on the internal `SYS_TABLESPACES` table. This internal table was removed in [MariaDB 10.6.0](/docs/release-notes/community-server/10.6/10.6.0.md), so this Information Schema table has been repurposed\
to directly reflect the filesystem (fil\_system.space\_list).

The `PROCESS` [privilege](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) is required to view the table.

It has the following columns:

| Column          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| SPACE           | Unique InnoDB tablespace identifier.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| NAME            | Database and table name separated by a backslash, or the uppercase InnoDB system table name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| FLAG            | 1 if a DATA DIRECTORY option has been specified in [CREATE TABLE](/docs/server/server-usage/tables/create-table.md), otherwise 0.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| FILE\_FORMAT    | [InnoDB file format](/docs/server/server-usage/storage-engines/innodb/innodb-file-format.md).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ROW\_FORMAT     | [InnoDB storage format](/docs/server/server-usage/storage-engines/innodb/innodb-row-formats/innodb-row-formats-overview.md) used for this tablespace. If the [Antelope](/docs/server/server-usage/storage-engines/innodb/innodb-file-format.md#antelope) file format is used, this value is always Compact or Redundant. When a table's [checksum algorithm](/docs/server/server-usage/storage-engines/innodb/innodb-system-variables.md#innodb_checksum_algorithm) is full\_crc32 (the default from [MariaDB 10.5](/docs/release-notes/community-server/old-releases/10.5/what-is-mariadb-105.md)), the value can only be Compressed or NULL. |
| PAGE\_SIZE      | Page size in bytes for this tablespace. Until [MariaDB 10.5.0](/docs/release-notes/community-server/old-releases/10.5/10.5.0.md), this was the value of the [innodb\_page\_size](/docs/server/server-usage/storage-engines/innodb/innodb-system-variables.md#innodb_page_size) variable. From [MariaDB 10.6.0](/docs/release-notes/community-server/10.6/10.6.0.md), contains the physical page size of a page (previously ZIP\_PAGE\_SIZE).                                                                                                                                                                                                   |
| ZIP\_PAGE\_SIZE | Zip page size for this tablespace. Removed in [MariaDB 10.6.0](/docs/release-notes/community-server/10.6/10.6.0.md).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| SPACE\_TYPE     | Tablespace type. Can be General for general tablespaces or Single for file-per-table tablespaces. Removed [MariaDB 10.5.0](/docs/release-notes/community-server/old-releases/10.5/10.5.0.md).                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| FS\_BLOCK\_SIZE | File system block size.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| FILE\_SIZE      | Maximum size of the file, uncompressed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ALLOCATED\_SIZE | Actual size of the file as per space allocated on disk.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| FILENAME        | Tablespace datafile path, previously part of the [INNODB\_SYS\_DATAFILES table](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_datafiles-table.md). Added in [MariaDB 10.6.0](/docs/release-notes/community-server/10.6/10.6.0.md).                                                                                                                                                                                                                                                                                                          |

## Examples

```sql
DESC information_schema.innodb_sys_tablespaces;
+----------------+---------------------+------+-----+---------+-------+
| Field          | Type                | Null | Key | Default | Extra |
+----------------+---------------------+------+-----+---------+-------+
| SPACE          | int(11) unsigned    | NO   |     | 0       |       |
| NAME           | varchar(655)        | NO   |     |         |       |
| FLAG           | int(11) unsigned    | NO   |     | 0       |       |
| ROW_FORMAT     | varchar(22)         | YES  |     | NULL    |       |
| PAGE_SIZE      | int(11) unsigned    | NO   |     | 0       |       |
| ZIP_PAGE_SIZE  | int(11) unsigned    | NO   |     | 0       |       |
| SPACE_TYPE     | varchar(10)         | YES  |     | NULL    |       |
| FS_BLOCK_SIZE  | int(11) unsigned    | NO   |     | 0       |       |
| FILE_SIZE      | bigint(21) unsigned | NO   |     | 0       |       |
| ALLOCATED_SIZE | bigint(21) unsigned | NO   |     | 0       |       |
+----------------+---------------------+------+-----+---------+-------+
```

```sql
SELECT * FROM information_schema.INNODB_SYS_TABLESPACES LIMIT 2\G
*************************** 1. row ***************************
         SPACE: 2
          NAME: mysql/innodb_table_stats
          FLAG: 33
    ROW_FORMAT: Dynamic
     PAGE_SIZE: 16384
 ZIP_PAGE_SIZE: 0
    SPACE_TYPE: Single
 FS_BLOCK_SIZE: 4096
     FILE_SIZE: 98304
ALLOCATED_SIZE: 98304
*************************** 2. row ***************************
         SPACE: 3
          NAME: mysql/innodb_index_stats
          FLAG: 33
    ROW_FORMAT: Dynamic
     PAGE_SIZE: 16384
 ZIP_PAGE_SIZE: 0
    SPACE_TYPE: Single
 FS_BLOCK_SIZE: 4096
     FILE_SIZE: 98304
ALLOCATED_SIZE: 98304
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tablespaces-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
